<?php 
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Luzuk 
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel='stylesheet' href='https://use.fontawesome.com/releases/v5.7.0/css/all.css' integrity='sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ' crossorigin='anonymous'>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">

	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
<link href="https://fonts.googleapis.com/css?family=Lato:400,700,900&display=swap" rel="stylesheet">
	
	<link href="https://fonts.googleapis.com/css?family=Roboto:700" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Dancing+Script" rel="stylesheet">
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>

	

	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <div class="main-container">
		<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'gurukul' ); ?></a>
		<header id="ht-masthead" class="ht-site-header">
			<?php if( get_theme_mod('about_button_display','show' ) == 'show') :
							?>
	<div class="header-top">
				<div class="container">
					
								<div class="col-md-12 header-box padding0">
							<?php
							$phone = get_theme_mod('lz_fitness_headermain_phone', '123 345 6789');
							$email = get_theme_mod('lz_fitness_headermain_email', 'info@yourwebsite.com');	
							$facebook = get_theme_mod('lz_fitness_header_fb', '//facebook.com/');
							$twitter = get_theme_mod('lz_fitness_header_tw', '//twitter.com/');
							$instagram = get_theme_mod('lz_fitness_header_insta', '//www.instagram.com/');
							$googlePlus = get_theme_mod('lz_fitness_header_it', '//plus.google.com/');
							$linkedIn = get_theme_mod('lz_fitness_header_in', '//linkedin.com/');
							
							//$youtube = get_theme_mod('lz_fitness_header_yt', '//www.youtube.com/');									
							
							?>
					
							<div class="header-right-box col-md-offset-4 padding0">

				
								
											<div class="col-md-4 col-sm-4 padding0 boxmargin">
											<?php if( $email ){ ?>	
											<div class="contact-border">						
												<div class="mailto"><a href="mailto:<?php echo $email;?>"><i class="fa fa-envelope-o" aria-hidden="true"></i> <?php echo $email ;?></a></div>
											</div>
											<?php } ?>
											<div class="clearfix"></div>
										</div>								
										<div class="col-md-4 col-sm-4 text-center boxmargin">	
											<?php if( $phone ){ ?>	
											<div class="contact-border">
												<div class="themetext"><i class="fa fa-phone" aria-hidden="true"></i> <?php echo ($phone);  ?></div>											
											</div>
											<?php } ?>
											<div class="clearfix"></div>
										</div>
							
								
								<div class="col-md-4 col-sm-4 header-social-links padding0 boxmargin contact-border">
								
								<?php if(!empty($facebook)){ ?>
									<a href="<?php echo $facebook ?>" target="_blank" title="Facebook"><span class="fa fa-facebook"></span></a>
								<?php }?>
								<?php if(!empty($twitter)){ ?>
									<a href="<?php echo $twitter ?>" target="_blank" title="Twitter"><span class="fa fa-twitter"></span></a>
								<?php }?>
								<?php if(!empty($instagram)){ ?>
									<a href="<?php echo $instagram ?>" target="_blank" title="Instagram"><span class="fa fa-instagram"></span></a>
								<?php }?>
								<?php if(!empty($linkedIn)){ ?>
									<a href="<?php echo $linkedIn ?>" target="_blank" title="Linked In"><span class="fa fa-linkedin"></span></a>
								<?php }?>						
								
								
							</div>						
						

							<div class="clearfix"></div>
						</div>
							<div class="clearfix"></div>	
						</div><!--header-box-->
				<div class="clearfix"></div>
				</div>
				<div class="clearfix"></div>
			</div> 
			<?php endif ?>
			<div class="medal-header">
				
				<div class="col-md-4 col-sm-4 padding0 logobg">
					
					<div class="logobox">
						<?php 
						if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
							the_custom_logo();
					else : 
						if ( is_front_page() ) : ?>
							<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<?php else : ?>
								<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<?php endif; ?>
							<!-- <p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p> -->
							
						<?php endif; ?>
						<!-- .site-branding -->
					</div>
				
				</div>
				<div class=" col-md-8 col-sm-8 padding0 header-right ">
					
						<!-- <div class="cilppath  col-md-1 padding0 "></div> -->

				<div class="col-md-11 inside-full-height ">				
				       <div class="site-navigation wow slideInLeft">
                        <div class="hamburger-menus">
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                        </div>
                        <nav class="navigation">
                            <div class="overlaybg"></div><!--  /.overlaybg -->
                            <!-- Main Menu -->
                            <div class="menu-wrapper">
                                <div class="menu-content">
                                    <?php
                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
                                            wp_nav_menu ( array(
                                                'menu_class' => 'mainmenu',
                                                'container'=> 'ul',
                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
                                                'theme_location' => 'primary',  
                                            )); 
                                        } else {
                                            wp_nav_menu ( array(
                                                'menu_class' => 'mainmenu',
                                                'container'=> 'ul',
                                                'theme_location' => 'primary',  
                                            )); 
                                        }
                                    ?>
                                </div> <!-- /.hours-content-->
                            </div><!-- /.menu-wrapper --> 
                        </nav>
                        <div class="clearfix"></div>
                    </div><!--  /.site-navigation -->
					
							
							</div>
					
					<div class="clearfix"></div>
				</div>
				
				</div>				
 
						<div class="clearfix"></div>
					</div>
				</div>
				<div class="clearfix"></div>
			</header><!-- #masthead -->
	</div>
