<?php

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'Luzul-premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'Luzul-premium' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'Luzul-premium'),
) );


//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'Luzul-premium' ),
	'panel' => 'lz_fitness_general_panel',
) );


$wp_customize->add_setting(
    'lz_fitness_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '100', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_logoTopsetmaxwidth',
    array(
        'settings'      => 'lz_fitness_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Max Width', 'luzuk-premium' )
    )
);



//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image', 'Luzul-premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

// //Header IMAGE
// $wp_customize->add_section( 'header_image', array(
// 	'title' => __( 'Header Image', 'Luzul-premium' ),
// 	'panel' => 'lz_fitness_general_panel',
// ) );


/// page fonts
//INNER PAGE HEADING FONT SIZE SETTINGS
$wp_customize->add_section(
	'innerheadingfontsize_settings',
	array(
		'title' => __( 'Inner Page Heading Font Size Settings', 'luzuk-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);
$wp_customize->add_setting(
	'pages_h1font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '28px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h1font',
	array(
		'settings'      => 'pages_h1font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h2font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '27px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h2font',
	array(
		'settings'      => 'pages_h2font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h3font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '23px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h3font',
	array(
		'settings'      => 'pages_h3font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h4font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '18px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h4font',
	array(
		'settings'      => 'pages_h4font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h5font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '16px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h5font',
	array(
		'settings'      => 'pages_h5font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'pages_h6font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '15px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h6font',
	array(
		'settings'      => 'pages_h6font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
	)
);
 

//font size
$wp_customize->add_setting(
    'testimonialtitlefontsize', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '24px', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'testimonialtitlefontsize',
    array(
        'settings'      => 'testimonialtitlefontsize',
        'section'       => 'innerheadingfontsize_settings',
        'type'          => 'text',
        'label'         => __( 'Inner page Testimonial title font size', 'lz-fitness-premium' )
    )
);

//font size
$wp_customize->add_setting(
    'innfaqtitlefontsize', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '24px', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'innfaqtitlefontsize',
    array(
        'settings'      => 'innfaqtitlefontsize',
        'section'       => 'innerheadingfontsize_settings',
        'type'          => 'text',
        'label'         => __( 'Inner page Faq title font size', 'lz-fitness-premium' )
    )
);




//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'Luzul-premium'),
	'panel' => 'lz_fitness_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'lz_fitness_template_color', 'colors', 'Theme Primary Color', '#c56e21');


//Inner page title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_titlecolor', 'colors', 'Inner page title color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_bgcolor', 'colors', 'Inner page title background color', '#c76d21');

//Inner page content box heading 1 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh1color', 'colors', 'Heading h1 color', '#333333');

//Inner page content box heading 2 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh2color', 'colors', 'Heading h2 color', '#333333');

//Inner page content box heading 3 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh3color', 'colors', 'Heading h3 color', '#333333');

//Inner page content box heading 4 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh4color', 'colors', 'Heading h4 color', '#333333');

//Inner page content box heading 5 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh5color', 'colors', 'Heading h5 color', '#333333');

//Inner page content box heading 6 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh6color', 'colors', 'Heading h6 color', '#333333');

//Inner page content box heading 6 color
addColorPalatOption($wp_customize, 'innerpage_cblogdatecolor', 'colors', 'Inner page blog date color', '#333333');


//Inner page content box heading 6 color
addColorPalatOption($wp_customize, 'innerpage_contenetxtcolor', 'colors', 'Inner page content color', '#333333');

//Inner page content box heading 6 color
addColorPalatOption($wp_customize, 'innerpage_sidebartitlecolor', 'colors', 'Inner page/ post Sidebar Title color', '#333333');

//Inner page content box heading 6 color
addColorPalatOption($wp_customize, 'innerpage_sidebartitlebordcolor', 'colors', 'Inner page/ post Sidebar Title Border color', '#c56e21');

//Inner page content box list color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlistcolor', 'colors', 'Inner page content box list color', '#303030');

//Inner page content box list icon color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlisticoncolor', 'colors', 'Inner page content box list icon color', '#333');

//Inner page content box list number color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlistnumbercolor', 'colors', 'Inner page content box list number color', '#fff');

//Inner page content box list number bg color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlistnumberbgcolor', 'colors', 'Inner page content box list number background color', '#1f4282');

//Inner page content box links color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlinkcolor', 'colors', 'Inner page content box links color', '#000');


//Services Page colors
lzCustomLable($wp_customize, 'lz_fitness_template_servicecolor8', 'colors', 'Inner Services Page Color Settings');

//Inner page content box links color
addColorPalatOption($wp_customize, 'innerpageservicesboxcolor', 'colors', 'Inner page services box border color', '#ccc');

//Inner page content box links color
addColorPalatOption($wp_customize, 'innerpageservicesboxbgcolor', 'colors', 'Inner page services box background color', '#fff');

//Inner page content box links color
addColorPalatOption($wp_customize, 'innerpageservicestitlecolor', 'colors', 'Inner page services title color', '#c66e21');

//Inner page content box links color
//addColorPalatOption($wp_customize, 'innerpageservicestextcolor', 'colors', 'Inner page services text color', '#6f6f6f');

//Inner page content box links color
addColorPalatOption($wp_customize, 'innerpageservicesreadarroecolor', 'colors', 'Inner page services read more & arrow color', '#c66e21');

//Inner page content box links color
addColorPalatOption($wp_customize, 'innerpageservhoverreadarroecolor', 'colors', 'Inner page services read more & arrow hover color', '#333');

//Gallery Page colors
lzCustomLable($wp_customize, 'lz_fitness_template_gallcolor8', 'colors', 'Inner Gallery Page Color Settings');

//Inner page content box links color
addColorPalatOption($wp_customize, 'innerpagegalleryimgoveBgcolor', 'colors', 'Inner page gallery image hover overlay background color', '#c66e21');

//Inner page content box links color
addColorPalatOption($wp_customize, 'innerpagegalleryimgiconcolor', 'colors', 'Inner page gallery image icon color', '#fff');

//Inner page content box links color
addColorPalatOption($wp_customize, 'innerpagegalleryimgiconborcolor', 'colors', 'Inner page gallery image icon boder color', '#fff');

//Inner page content box links color
addColorPalatOption($wp_customize, 'innerpagegalleryimgiconhovecolor', 'colors', 'Inner page gallery image icon hover color', '#000');

//Inner page content box links color
addColorPalatOption($wp_customize, 'innerpagegalleryimgiconhoveborcolor', 'colors', 'Inner page gallery image icon hover boder color', '#000');

//Testimonial Page colors
lzCustomLable($wp_customize, 'lz_fitness_template_testimonialscolor8', 'colors', 'Inner Testimonial Page Color Settings');


//Inner page testimonial color
addColorPalatOption($wp_customize, 'innerpagetestimonialvborcolor', 'colors', 'Inner page testimonial boder color', '#c66e21');

//Inner page content box links color
addColorPalatOption($wp_customize, 'innerpagetestimonialvBgcolor', 'colors', 'Inner page testimonial background color', '#fff');

//Inner page testimonial color
addColorPalatOption($wp_customize, 'innerpagetestimonialvimagebgcolor', 'colors', 'Inner page testimonial image background color', '#fff');

//Inner page testimonial color
addColorPalatOption($wp_customize, 'innertestimonialvimageBordecolor', 'colors', 'Inner page testimonial image border color', '#c66e21');

//Inner page testimonial color
addColorPalatOption($wp_customize, 'innertestimonialvtitlecolor', 'colors', 'Inner page testimonial title color', '#313131');




//Inner page testimonial color
addColorPalatOption($wp_customize, 'innertestimonialtextcolor', 'colors', 'Inner page testimonial text color', '#656565');



//Testimonial Page colors
lzCustomLable($wp_customize, 'lz_fitness_template_faqcolor8', 'colors', 'Inner Page Faqs Color Settings');


//Inner page testimonial color
addColorPalatOption($wp_customize, 'innerfaqstitlecolor', 'colors', 'Inner page Faqs title color', '#fff');

//Inner page testimonial color
addColorPalatOption($wp_customize, 'innerfaqstitlebgcolor', 'colors', 'Inner page Faqs title background color', '#c66e21');

//Inner page testimonial color
addColorPalatOption($wp_customize, 'innerfaqstitleiconcolor', 'colors', 'Inner page Faqs title icon color', '#fff');

//Inner page testimonial color
addColorPalatOption($wp_customize, 'innerfaqstitleiconbgcolor', 'colors', 'Inner page Faqs title icon background color', '#c66e21');

//faq description
addColorPalatOption($wp_customize, 'innerfaqsdescriptioncolor', 'colors', 'Inner page Faqs description color', '#fff');

//faq description
addColorPalatOption($wp_customize, 'innerfaqsdescriptionbordecolor', 'colors', 'Inner page Faqs description border color', '#c66e21');

//faq description
addColorPalatOption($wp_customize, 'innerfaqsdescriptionbGcolor', 'colors', 'Inner page Faqs description Background color', '#d28227');

lzCustomLable($wp_customize, 'lz_fitness_template_teamcolors', 'colors', 'Inner Page Team Color Settings');

//Inner page testimonial color
addColorPalatOption($wp_customize, 'innerteamnametxtcolor', 'colors', 'Inner page team member name color', '#fff');
addColorPalatOption($wp_customize, 'innerteamdesignationtxtcolor', 'colors', 'Inner page team designation text color', '#fff');
addColorPalatOption($wp_customize, 'innerteamsocialscolor', 'colors', 'Inner page team Socials color', '#ffffff');

addColorPalatOption($wp_customize, 'innerteambxbgsscolor', 'colors', 'Inner page team Box Background color', '#c76d21');


//HEADER SETTINGS
$wp_customize->add_section(
	'lz_fitness_header_settings',
	array(
		'title' => __( 'Header Settings', 'Luzul-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

	//ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
	'lz_fitness_sticky_header_enable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);

$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_sticky_header_enable',
		array(
			'settings'		=> 'lz_fitness_sticky_header_enable',
			'section'		=> 'lz_fitness_header_settings',
			'label'			=> __( 'Sticky Header', 'Luzul-premium' ),
			'on_off_label' 	=> array(
				'on' => __( 'Enable', 'Luzul-premium' ),
				'off' => __( 'Disable', 'Luzul-premium' )
			)	
		)
	)
);
$sectionHeader = 'lz_fitness_header_settings';

 //header social color   
//addColorPalatOption($wp_customize, 'headerhhomeStickytopbarColor', 'lz_fitness_header_settings', 'Sticky Header Home  top Bar Background color', '#333');

 //header social color   
//addColorPalatOption($wp_customize, 'headerStickytopbarDisablepageColor', 'lz_fitness_header_settings', 'Sticky Header Disable Header Inner Pages top Bar Background color', '#333');

//header social color   
//addColorPalatOption($wp_customize, 'headerinnermedalheadpageColor', 'lz_fitness_header_settings', ' Header Inner Pages Header Medal Background color', '#626262');

lzCustomLable($wp_customize, 'lz_fitness_header_settings', 'lz_fitness_header_settings', 'Inner page Header Background Image /Color Setting:');

backgroundManager($wp_customize, 'logobg', 'lz_fitness_header_settings', $color='#fff', get_template_directory_uri().'/images/logobg.jpg', 'color');

$wp_customize->add_setting(
	'lz_fitness_headermain_email',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'info@yourwebsite.com', 'Luzul-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_email',
	array(
		'settings'      => 'lz_fitness_headermain_email',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Email Address', 'Luzul-premium' )
	)
);

//medal header
$wp_customize->add_setting(
	'lz_fitness_headermain_phone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '123 345 6789', 'Luzul-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_phone',
	array(
		'settings'      => 'lz_fitness_headermain_phone',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Phone Number', 'Luzul-premium' )
	)
);



 
//header icon color   
addColorPalatOption($wp_customize, 'lz_fitness_header_iconColor', 'lz_fitness_header_settings', ' Header icons color', '#fff'); 

//header phone  
addColorPalatOption($wp_customize, 'lz_fitness_header_titleColor', 'lz_fitness_header_settings', ' header phone color', '#fff'); 

 //header email color   
addColorPalatOption($wp_customize, 'lz_fitness_header_emailColor', 'lz_fitness_header_settings', ' header email color', '#fff'); 


//Set header menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headernavigationBg_color', 'lz_fitness_header_settings', 'Header Menu Navigation Background Color', '#fff');

lzCustomLable($wp_customize, 'lz_fitness_reservation_lblImgTxt', $sectionHeader, 'Social media icons');

// FACEBOOK 
$wp_customize->add_setting('lz_fitness_header_fb',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_fb',
	array(
		'settings'      => 'lz_fitness_header_fb',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'Luzul-premium' )
	)
);
// TWITTER
$wp_customize->add_setting('lz_fitness_header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_tw',
	array(
		'settings'      => 'lz_fitness_header_tw',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'Luzul-premium' )
	)
);

// Instagram
$wp_customize->add_setting('lz_fitness_header_insta', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_insta',
	array(
		'settings'      => 'lz_fitness_header_insta',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Instagram', 'gurukul' )
	)
); 
// GOOGLE PLUS
// $wp_customize->add_setting('lz_fitness_header_it', array('default' => 'https://plus.google.com', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('lz_fitness_header_it',
// 	array(
// 		'settings'      => 'lz_fitness_header_it',
// 		'section'       => 'lz_fitness_header_settings',
// 		'type'          => 'url',
// 		'label'         => __( 'Google Plus Url', 'Luzul-premium' )
// 	)
// );
// LINKED IN
$wp_customize->add_setting('lz_fitness_header_in',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_in',
	array(
		'settings'      => 'lz_fitness_header_in',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'Luzul-premium' )
	)
);


// Youtube IN
// $wp_customize->add_setting('lz_fitness_header_yt',array('default'=> 'https://www.youtube.com','sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('lz_fitness_header_yt',
// 	array(
// 		'settings'      => 'lz_fitness_header_yt',
// 		'section'       => 'lz_fitness_header_settings',
// 		'type'          => 'url',
// 		'label'         => __( 'Youtube Url', 'gurukul' )
// 	)
// );

 //header social color   
addColorPalatOption($wp_customize, 'lz_fitness_header_socialColor', 'lz_fitness_header_settings', ' Header social icon color', '#b2b1ad'); 
 //header social color   
addColorPalatOption($wp_customize, 'header_socialBborderColor', 'lz_fitness_header_settings', ' Header social icon Border color', '#5d564e'); 

 //header social color   
addColorPalatOption($wp_customize, 'lz_fitness_header_socialhovColor', 'lz_fitness_header_settings', ' Header social icon hover color', '#bf8c4d'); 


// Adding the Label



//Set header menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headermenuactive_color', 'lz_fitness_header_settings', 'Header Active Menu Color', '#c76d21');


//Set header menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headermenuhoveer_color', 'lz_fitness_header_settings', 'Header Menu Hover Color', '#fff');

//Set header menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headermenuhoveerbg_color', 'lz_fitness_header_settings', 'Header Menu Hover Background Color', '#bf8c4d');


//Set header menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headermenu_color', 'lz_fitness_header_settings', 'Header Menu Color', '#3a3a3a');

//Set header sub menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenu_color', 'lz_fitness_header_settings', 'Header Sub Menu Item Color', '#fff');

//Set header sub menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenuhov_color', 'lz_fitness_header_settings', 'Header Sub Menu Item Hover Color', '#333');

//Set header sub menu Background colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenuItemBG_color', 'lz_fitness_header_settings', 'Header Sub Menu Item Hover Background Color', '#fff'); 

//Set header sub menu Background colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenubg_color', 'lz_fitness_header_settings', 'Header Sub Menu Background Color', '#bf8c4d');

//Set header sub menu Background colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenubordercolor', 'lz_fitness_header_settings', 'Header Sub Menu Border Color', '#333');

lzCustomLable($wp_customize, 'lz_fitness_aboutus_lblbuttonabtdisplay', 'lz_fitness_header_settings', 'Header Top Bar Disable & Enable Setting:');
// to show & hide another button
$wp_customize->add_setting( 'about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'about_button_display', array( 'label' => 'Header Top Bar Display', 'section' => 'lz_fitness_header_settings', 'settings' => 'about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Top Bar', 'hide' => 'Hide Top Bar', ), ) ); 


lzCustomLable($wp_customize, 'lz_fitness_headerrespoclr', 'lz_fitness_header_settings', 'Header Reponsive Color :');

addColorPalatOption($wp_customize, 'lz_fitness_headerrespobgclr', 'lz_fitness_header_settings', 'Top Header Background Color', '#000');

addColorPalatOption($wp_customize, 'lz_fitness_headertoggclr', 'lz_fitness_header_settings', 'Header Toggle bar Color', '#a0a0a0');

//HEADER LOGO MARGIN SETTINGS
$wp_customize->add_section(
	'lz_fitness_headerlogo_settings',
	array(
		'title' => __( 'Header Logo Margin Settings', 'Luzul-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'lz_fitness_headerlogo_margin', 'lz_fitness_headerlogo_settings', ' Site Header Logo Margin:');


$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'Luzul-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Top Margin', 'Luzul-premium' )
	)
);


$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '10px', 'Luzul-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Bottom Margin', 'Luzul-premium' )
	)
);


$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'Luzul-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Left Margin', 'Luzul-premium' )
	)
);


$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'Luzul-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Right Margin', 'Luzul-premium' )
	)
);


//backgroundManager($wp_customize, 'logo', 'lz_fitness_headerlogo_settings', $color='#fff', get_template_directory_uri().'/images/logobg.jpg', 'color');

//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'lz_fitness_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'lz_fitness_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

// end to show & hide button
$wp_customize->add_setting(
        'lz_fitness_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Home', 'unboxthemes' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_breadcrumbhometxt',
        array(
            'settings'      => 'lz_fitness_breadcrumbhometxt',
            'section'       => 'lz_fitness_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'unboxthemes' )
        )
    );

//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbtitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox title color', '#000');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbcurrenttitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title color', '#c76d21');

//Inner page breadcrumbbox current hover title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbcurrenttitlehovercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title hover color', '#3a4559');

//Inner page breadcrumbbox background color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbbgcolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox background color', '#fff');


//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'lz_fitness_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'lz_fitness_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Sidebar', 'hide' => 'Hide Sidebar', ), ) ); 

// Innerpage Font Setting:

$wp_customize->add_section(
	'lz_fitness_postpagedate_settings',
	array(
		'title' => __( 'Postpage Date Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'lz_fitness_postpagedate_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date', 'hide' => 'Hide Post Date', ), ) ); 

// end to show & hide button



//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'lz_fitness_footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'Luzul-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

$wp_customize->add_setting(
	'lz_fitness_footer_copyrighttext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Copyright © 2019 Carpenter. All Rights Reserved', 'Luzul-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_footer_copyrighttext',
	array(
		'settings'      => 'lz_fitness_footer_copyrighttext',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Footer Copyright Text', 'Luzul-premium' )
	)
);


backgroundManager($wp_customize, 'footer', 'lz_fitness_footer_copyright_settings', $color='#1a1a1a');

//backgroundManager($wp_customize, 'footer', 'lz_fitness_footer_copyright_settings', $color='#2e2e2e', get_template_directory_uri().'/images/footerbg.jpg', 'color');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_copyrighttext_color', 'lz_fitness_footer_copyright_settings', 'Footer Copyright Text Color', '#626262');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footer_copyrightbordercolor', 'lz_fitness_footer_copyright_settings', 'Copyright Footer Border Color', '#989898');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footerwititWidgetstitleercolor', 'lz_fitness_footer_copyright_settings', 'Footer Widgets Title Color', '#fff');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footerwititlecopyrightbordercolor', 'lz_fitness_footer_copyright_settings', 'Footer Widgets Title Border Color', '#c56e21');
 
//theme Footer Text Color
addColorPalatOption($wp_customize, 'footertextcolor', 'lz_fitness_footer_copyright_settings', 'Footer Text Color', '#fff');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footermenuscolor', 'lz_fitness_footer_copyright_settings', 'Footer Menu  Color', '#fff');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footermenushovercolor', 'lz_fitness_footer_copyright_settings', 'Footer Menu Hover Color', '#bf8c4d');


//theme Footer Text Color
addColorPalatOption($wp_customize, 'footermenusiconcolor', 'lz_fitness_footer_copyright_settings', 'Footer Menu Icon Color', '#8d8d8d');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footersocialiconcolor', 'lz_fitness_footer_copyright_settings', 'Footer Social Icon Color', '#b2b2b2');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footersocialiconbgcolor', 'lz_fitness_footer_copyright_settings', 'Footer Social Icon Background Color', '#1a1a1a');
//theme Footer Text Color
addColorPalatOption($wp_customize, 'footersocialiconbordcolor', 'lz_fitness_footer_copyright_settings', 'Footer Social Icon Border Color', '#f8f8f8');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footersocialhovericoncolor', 'lz_fitness_footer_copyright_settings', 'Footer Social Icon Hover Color', '#fff');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footersocialiconhovebgcolor', 'lz_fitness_footer_copyright_settings', 'Footer Social Icon Hover Background Color', '#c56f24');
//theme Footer Text Color
addColorPalatOption($wp_customize, 'footersocialiconhovebordcolor', 'lz_fitness_footer_copyright_settings', 'Footer Social Icon Hover Border Color', '#c56f24');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footernewformlabelcolor', 'lz_fitness_footer_copyright_settings', 'Footer Form label Color', '#fff');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footernewformbordcolor', 'lz_fitness_footer_copyright_settings', 'Footer Form Border Color', '#fff');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footernewformtexxtcolor', 'lz_fitness_footer_copyright_settings', 'Footer Form Submit Button Text Color', '#939393');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footernewformtplaceholdertcolor', 'lz_fitness_footer_copyright_settings', 'Footer Form placeholder Text Color', '#939393');

//theme Footer Text Color
//addColorPalatOption($wp_customize, 'footernewformtcheckboxcolor', 'lz_fitness_footer_copyright_settings', 'Footer Form checkbox Text Color', '#fff');
//theme Footer Text Color
addColorPalatOption($wp_customize, 'footernewformtfiletexcolor', 'lz_fitness_footer_copyright_settings', 'Footer Form file Text Color', '#fff');


//theme Footer Text Color
addColorPalatOption($wp_customize, 'footersubmborcolor', 'lz_fitness_footer_copyright_settings', 'Footer  Form Submit Button Border Color', '#fff');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'footersubmtextcolor', 'lz_fitness_footer_copyright_settings', 'Footer Form Submit Button text Color', '#fff');